import request from '@/utils/request'

// 查询商城相关设置列表
export function listMallConfig(query) {
  return request({
    url: '/mall/mallConfig/list',
    method: 'get',
    params: query
  })
}

// 查询商城相关设置详细
export function getMallConfig(id) {
  return request({
    url: '/mall/mallConfig/' + id,
    method: 'get'
  })
}

// 新增商城相关设置
export function addMallConfig(data) {
  return request({
    url: '/mall/mallConfig',
    method: 'post',
    data: data
  })
}

// 修改商城相关设置
export function updateMallConfig(data) {
  return request({
    url: '/mall/mallConfig',
    method: 'put',
    data: data
  })
}

// 删除商城相关设置
export function delMallConfig(id) {
  return request({
    url: '/mall/mallConfig/' + id,
    method: 'delete'
  })
}

// 导出商城相关设置
export function exportMallConfig(query) {
  return request({
    url: '/mall/mallConfig/export',
    method: 'get',
    params: query
  })
}